Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jain.protocol.ss7.oam.sccp
Interface SccpLayerManagerMBean

public abstract interface SccpLayerManagerMBean
extends OamLayerManagerMBean, SccpManagedObjectMBean

This interface defines the methods required for the creation and management of all MTP Level 2 Managed MBeans.

The Mtp2LayerManagerMBean acts as a factory for the creation of Mtp2ManagedObjectMBeans and allows a NotificationListener to register as a listener of all Mtp2ManagedObjectMBeans.

When creating a MBean an entry must be added to the LookupTable of that MBean's ObjectName and reference, and when a MBean is being deleted the corresponding entry in the LookupTable must be removed. This is to enable the application to operate successfully without a JMX agent.

An instance of this Mtp2LayerManagerMBean should be created through the JainSS7Factory. The JainSS7Factory defines a naming convention to locate a proprietary implementation of this interface.

Under the JAIN naming convention, the upper-level package structure (pathname) can be used to differentiate between proprietary implementations from different SS7 Vendors. The pathname used by each SS7 Vendor must be the domain name assigned to the Vendor in reverse order, e.g. Sun Microsystem's would be 'com.sun'

In order to be recognised as a JMX MBean a class implementing this interface must be called Mtp2LayerManager.

It follows that a proprietary implementation of a Mtp2LayerManagerMBean will be located at:

.jain.protocol.ss7.oam.mtp2.Mtp2LayerManager

Where:

pathname = reverse domain name, e.g. 'com.aepona'

The resulting Mtp2LayerManager from AePONA would be located at:

com.aepona.jain.protocol.ss7.oam.mtp2.Mtp2LayerManager

Consequently, an application may create a Mtp2LayerManagerMBean by invoking: JainSS7Factory.createSS7Object(jain.protocol.ss7.oam.mtp2.Mtp2LayerManager). The PathName of the vendor specific implementation of which you want to instantiate can be set before calling JainSS7Factory.setPathName("vendorPathname"); or the default or current pathname may be used.

This illustrates how JAIN OAM MBeans are instantiated

Relationship between the SCCP JAIN OAM MBean

Version:
  1.1
Author:
  Colm Hayden & Phelim O'Doherty

Fields inherited from class jain.protocol.ss7.oam.OamLayerManagerMBean
`PROTOCOL_VARIANT_ANSI_1992, PROTOCOL_VARIANT_ANSI_1996, PROTOCOL_VARIANT_ITU_1993, PROTOCOL_VARIANT_ITU_1996, PROTOCOL_VARIANT_ITU_1997, PROTOCOL_VARIANT_OTHER`

Fields inherited from class jain.protocol.ss7.oam.OamManagedObjectMBean
`OBJECT_TYPE_CONCERNED_AREA, OBJECT_TYPE_GLOBAL_TITLE_ENTRY, OBJECT_TYPE_LINK, OBJECT_TYPE_LINKSET, OBJECT_TYPE_MTP2_LAYER_MANAGER, OBJECT_TYPE_MTP2_SAP, OBJECT_TYPE_MTP2_TIMER_PROFILE, OBJECT_TYPE_MTP3_LAYER_MANAGER, OBJECT_TYPE_MTP3_SAP, OBJECT_TYPE_MTP3_TIMER_PROFILE, OBJECT_TYPE_OAM_TIMER_VAL, OBJECT_TYPE_OWN_SIGNALLING_POINT, OBJECT_TYPE_ROUTE, OBJECT_TYPE_ROUTESET, OBJECT_TYPE_SCCP_ENTITY_SET, OBJECT_TYPE_SCCP_LAYER_MANAGER, OBJECT_TYPE_SCCP_ROUTING_CONTROL, OBJECT_TYPE_SCCP_SAP, OBJECT_TYPE_SCCP_TIMER_PROFILE, OBJECT_TYPE_SCREENING_TABLE, OBJECT_TYPE_TCAP_LAYER_MANAGER, OBJECT_TYPE_TCAP_NODE`

Fields inherited from class java.io.Serializable
`serialVersionUID`

Method Summary
`ObjectName` | `createConcernedArea(ObjectName[] remoteSubsystems)` Creates a new Concerned Area Managed MBean containing the specified remote Subsystems (SccpSaps).
`ObjectName` | `createGlobalTitleEntry(ObjectName entitySet, java.lang.Integer globalTitleIndicator, java.lang.Byte[] addressInformation)` Creates a new Global Title Entry Managed MBean.
`ObjectName` | `createSccpEntitySet(ObjectName[] destinationSubsystems, java.lang.Integer sharingMode)` Creates a new SCCP Entity Set Managed MBean
`ObjectName` | `createSccpRoutingControl(ObjectName sp, ObjectName[] subsystems)` Creates a new Routing Control Managed MBean for the specified Own Signalling Point and (local) Subsystems
`ObjectName` | `createSccpSap(java.lang.Integer ssn, ObjectName mtp3Sap)` Creates a new SCCP Sevice Access Point (SAP) Managed MBean (a local or remote Subsystem)
`ObjectName` | `createSccpTimerProfile()` Creates a new SccpTimerProfileMBean that will use the correct Timer values for the the protocol variant of this SccpLayerManager.
`void` | `deleteConcernedArea(ObjectName concernedArea)` Deletes the Concerned Area Managed MBean identified by the specified ObjectName.
`void` | `deleteGlobalTitleEntry(ObjectName globalTitleEntry)` Deletes the Global Title Entry Managed MBean identified by the specified ObjectName.
`void` | `deleteSccpEntitySet(ObjectName entitySet)` Deletes the SCCP Entity Set Managed MBean identified by the specified ObjectName.
`void` | `deleteSccpRoutingControl(ObjectName routingControl)` Deletes the Routing Control Managed MBean identified by the specified ObjectName.
`void` | `deleteSccpSap(ObjectName subSystem)` Deletes the SCCP Sevice Access Point (SAP) Managed MBean identified by the specified ObjectName (a local or remote Subsystem).
`void` | `deleteSccpTimerProfile(ObjectName timerProfile)` Deletes the SccpTimerProfileMBean identified by the specified ObjectName.
`ObjectName` | `getActiveSccpRoutingControl(java.lang.Integer index)` Returns the ObjectName of the Active SCCP Routing controls of this SCCP Layer Manager.
`ObjectName[]` | `getActiveSccpRoutingControls()` Returns the ObjectNames of all the Active SCCP Routing controls of this SCCP Layer Manager.
`ObjectName` | `getConcernedArea(java.lang.Integer index)` Returns the ObjectName of one of the Concerned Areas created by this layer manager
`ObjectName[]` | `getConcernedAreas()` Returns an array of the ObjectName of all Concerned Area MBeans created by this layer manager
`ObjectName[]` | `getGlobalTitleEntries()` Returns an array of the ObjectNames of all Global Tiltle Entries created by this layer manager
`ObjectName` | `getGlobalTitleEntry(java.lang.Integer index)` Returns the ObjectName of one of the Global Tiltle Entries created by this layer manager
`ObjectName` | `getSccpEntitySet(java.lang.Integer index)` Returns the ObjectName of one of the SCCP Entity Sets created by this layer manager
`ObjectName[]` | `getSccpEntitySets()` Returns an array of the ObjectName of all SCCP Entity Sets created by this layer manager
`ObjectName` | `getSccpRoutingControl(java.lang.Integer index)` Returns the ObjectName of one of the SCCP Routing Controls created by this layer manager
`ObjectName[]` | `getSccpRoutingControls()` Returns an array of the ObjectName of all SCCP Routing Controls created by this layer manager
`ObjectName` | `getSccpSap(java.lang.Integer index)` Returns the ObjectName of one of the SCCP SAPs (Local or Remote Subsystems) created by this layer manager
`ObjectName[]` | `getSccpSaps()` Returns an array of the ObjectNames of all SCCP SAPs (Local or Remote Subsystems) created by this layer manager
`ObjectName` | `getSccpTimerProfile(java.lang.Integer index)` Returns the ObjectName of one of the SCCP Timer Profiles created by this layer manager
`ObjectName[]` | `getSccpTimerProfiles()` Returns an array of the ObjectNames of all SCCP Timer Profiles created by this layer manager
`void` | `setActiveSccpRoutingControl(java.lang.Integer index, ObjectName routingControl)` Sets one of the Active SCCP Routing controls (identified by the specified ObjectName) of this SCCP Layer Manager.
`void` | `setActiveSccpRoutingControls(ObjectName[] routingControls)` Sets the Active SCCP Routing controls (identified by the specified ObjectName) of this SCCP Layer Manager.

Methods inherited from interface jain.protocol.ss7.oam.OamLayerManagerMBean
`addNotificationListenerToAllMBeans, commit, getAllOamManagedObjects, getLookupTable, getProtocolVariantAndYear, getStackName, getVendorDetails, readCurrentConfiguration, removeNotificationListenerFromAllMBeans, rollBack, setProtocolVariantAndYear, setStackName`

Methods inherited from interface jain.protocol.ss7.oam.OamManagedObjectMBean
`getName, getObjectId, getObjectName, getObjectType, getProprietaryInformation, getStatistic, setName, startPollingStatistic, stopPollingStatistic`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Method Detail

### setActiveSccpRoutingControl

    public void setActiveSccpRoutingControl(java.lang.Integer index,
                                            ObjectName routingControl)
                                     throws TooManyInstancesException

  Sets one of the Active SCCP Routing controls (identified by the specified ObjectName) of this SCCP Layer Manager. If the underlying system supports multiple local signalling points then an instance of the SCCP Routing Control MBean should be created for each local Signalling Point.
  Parameters:
    `index` - the index of the SCCP Routing Control to be set.
    `routingControl` - the ObjectName of the routing control
  Throws:
    TooManyInstancesException - - if index is greater than the number of active routing controls permitted for an SCCP Layer by this implementation.

### getActiveSccpRoutingControl

    public ObjectName getActiveSccpRoutingControl(java.lang.Integer index)

  Returns the ObjectName of the Active SCCP Routing controls of this SCCP Layer Manager. If the underlying system supports multiple local signalling points then an instance of the SCCP Routing Control MBean should have been created for each local Signalling Point.

  There is a subtle difference between this method and the getSccpRoutingControls() method in that this method returns one the SCCP Routing Controls that are currently in use, whereas the getSccpRoutingControls() method contains all SCCP Routing Controls (both those Routing Controls currently in use and the Routing Controls that have been configured, but not activated for any reason including for backup). Every SCCP Routing Control that was created through the createSccpRoutingControl() method shall be returned by the getSccpRoutingControls() method, but only those Routing Controls that have been activated using the setActiveRoutingControl() method shall be returned by this method.

  Parameters:
    `index` - the index of the SCCP Routing Control to be returned.
  Returns:
    the ObjectName of one of the active routing control

### setActiveSccpRoutingControls

    public void setActiveSccpRoutingControls(ObjectName[] routingControls)
                                      throws TooManyInstancesException

  Sets the Active SCCP Routing controls (identified by the specified ObjectName) of this SCCP Layer Manager. If the underlying system supports multiple local signalling points then an instance of the SCCP Routing Control MBean should be created for each local Signalling Point.
  Parameters:
    `routingControls` - the ObjectNames of all of the routing controls
  Throws:
    TooManyInstancesException - - if the size of routingControls is greater than the number of active Routing controls permitted for an SCCP Layer by this implementation.

### getActiveSccpRoutingControls

    public ObjectName[] getActiveSccpRoutingControls()

  Returns the ObjectNames of all the Active SCCP Routing controls of this SCCP Layer Manager. If the underlying system supports multiple local signalling points then an instance of the SCCP Routing Control MBean should have been created for each local Signalling Point.

  There is a subtle difference between this method and the getSccpRoutingControls() method in that this method returns only the SCCP Routing Controls that are currently in use, whereas the getSccpRoutingControls() method contains all SCCP Routing Controls (both those Routing Controls currently in use and the Routing Controls that have been configured, but not activated for any reason including for backup). Every SCCP Routing Control that was created through the createTcap() method shall be returned by the getSccpRoutingControls() method, but only those Routing Controls that have been activated using the setActiveRoutingControl() method shall be returned by this method.

  Returns:
    the ObjectNames of all of the active SccpRoutingControlMBeans

### createSccpTimerProfile

    public ObjectName createSccpTimerProfile()
                                      throws TooManyInstancesException

  Creates a new SccpTimerProfileMBean that will use the correct Timer values for the the protocol variant of this SccpLayerManager. When the Timer Profile is created, the corresponding OamTimerVals should be created for each Timer with the correct min, max and default values set.
  Returns:
    the ObjectName of the newly created SccpTimerProfileMBean
  Throws:
    TooManyInstancesException - - if no more SCCP timer Profiles can be created by this implementation

### createGlobalTitleEntry

    public ObjectName createGlobalTitleEntry(ObjectName entitySet,
                                             java.lang.Integer globalTitleIndicator,
                                             java.lang.Byte[] addressInformation)
                                      throws java.lang.IllegalArgumentException,
                                             TooManyInstancesException

  Creates a new Global Title Entry Managed MBean.
  Parameters:
    `entitySet` - the ObjectName of the entity set to which this entry translates to
    `globalTitleIndicator` - one of the Global Title Indicator constants:

    - GlobalTitleEntryMBean.GTINDICATOR_0000
    - GlobalTitleEntryMBean.GTINDICATOR_0001
    - GlobalTitleEntryMBean.GTINDICATOR_0010
    - GlobalTitleEntryMBean.GTINDICATOR_0011
    - GlobalTitleEntryMBean.GTINDICATOR_0100
    `addressInformation` - the address information composed of digits in the form of Binary Coded Decimal(BCD).
  Returns:
    the ObjectName of the newly created GlobalTitleEntryMBean
  Throws:
    java.lang.IllegalArgumentException - - if

    - the supplied global tilte indicator is not one of the defined constants, or
    - the address information is in an unacceptable format
    TooManyInstancesException - - if no more Global Title Entries can be created by this implementation

### createConcernedArea

    public ObjectName createConcernedArea(ObjectName[] remoteSubsystems)
                                   throws TooManyInstancesException

  Creates a new Concerned Area Managed MBean containing the specified remote Subsystems (SccpSaps).
  Parameters:
    `remoteSubsystems` - an array of ObjectNames of the remote subsystems to be informed of local (primary broadcast) or remote (secondary broadcast) SCCP Subsystem status changes, or to be informed of the SCCP status after completion of SCCP Restart.
  Returns:
    the ObjectName of the newly created ConcernedAreaMBean
  Throws:
    TooManyInstancesException - - if

    - too many remote subsystems are supplied for the concerned area, or
    - no more Concerned Areas can be created by this implementation

### createSccpSap

    public ObjectName createSccpSap(java.lang.Integer ssn,
                                    ObjectName mtp3Sap)
                             throws java.lang.IllegalArgumentException,
                                    TooManyInstancesException

  Creates a new SCCP Sevice Access Point (SAP) Managed MBean (a local or remote Subsystem)
  Parameters:
    `ssn` - the subsystem number
    `mtp3Sap` - the ObjectName of the Mtp3Sap of this subsystem
  Returns:
    the ObjectName of the newly created SccpSapMBean
  Throws:
    java.lang.IllegalArgumentException - - if the supplied subsystem number represents an unnaceptable value
    TooManyInstancesException - - if no more SCCP SAPs can be created by this implemntation

### createSccpEntitySet

    public ObjectName createSccpEntitySet(ObjectName[] destinationSubsystems,
                                          java.lang.Integer sharingMode)
                                   throws TooManyInstancesException

  Creates a new SCCP Entity Set Managed MBean
  Parameters:
    `destinationSubsystems` - an array of ObjectNames of the destination Subsystems (SCCP SAPs) of the Entity Set.
    `sharingMode` - the sharing mode determining the distribution of SCCP traffic over the entities in this set. This may be one of:

    - SccpEntitySetMBean.SM_SOLITARY - there can only be one access point in the set.
    - SccpEntitySetMBean.SM_DUPLI_DOMINANT - the second entity is a backup for the first entity.
    - SccpEntitySetMBean.SM_DUPLI_REPLACEMENT - the second entity is standby for backup for the first entity, but after changeover, the primary and backup roles are swapped.
    - SccpEntitySetMBean.SM_DUPLI_SHARED - the load is shared over both the entities in the set.
  Returns:
    the ObjectName of the newly created SccpEntitySetMBean
  Throws:
    java.lang.IllegalArgumentException - - if the supplied saring mode is ot one of the defined constants
    TooManyInstancesException - - if

    - too many destination subsystems are supplied for the Entity Set, or
    - no more SCCP Entity Sets can be created by this implementation

### createSccpRoutingControl

    public ObjectName createSccpRoutingControl(ObjectName sp,
                                               ObjectName[] subsystems)
                                        throws TooManyInstancesException

  Creates a new Routing Control Managed MBean for the specified Own Signalling Point and (local) Subsystems
  Parameters:
    `sp` - the ObjectName of the Own signalling point whose routing is to be controlled by this Routing Control function.
    `subsystems` - an array of ObjectNames of the local subsystems controlled by this Routing Control.
  Returns:
    the ObjectName of the newly created SccpRoutingControlMBean
  Throws:
    TooManyInstancesException - - if

    - too many subsystems are supplied for the created SCCP Routing Control, or
    - no more SCCP Routing Control MBeans can be created by this implementation

### deleteSccpTimerProfile

    public void deleteSccpTimerProfile(ObjectName timerProfile)

  Deletes the SccpTimerProfileMBean identified by the specified ObjectName. Note that once a SccpTimerProfileMBean has been deleted, it should no longer be returned by the getSccpTimerProfiles() method.

### deleteGlobalTitleEntry

    public void deleteGlobalTitleEntry(ObjectName globalTitleEntry)

  Deletes the Global Title Entry Managed MBean identified by the specified ObjectName. Note that once a GlobalTitleEntryMBean has been deleted, it should no longer be returned by the getGlobalTitleEntries() method.

### deleteConcernedArea

    public void deleteConcernedArea(ObjectName concernedArea)

  Deletes the Concerned Area Managed MBean identified by the specified ObjectName. Note that once a ConcernedAreaMBean has been deleted, it should no longer be returned by the getConcernedAreas() method.

### deleteSccpSap

    public void deleteSccpSap(ObjectName subSystem)

  Deletes the SCCP Sevice Access Point (SAP) Managed MBean identified by the specified ObjectName (a local or remote Subsystem). Note that once a SccpSapMBean has been deleted, it should no longer be returned by the getSccpSaps() method.

### deleteSccpEntitySet

    public void deleteSccpEntitySet(ObjectName entitySet)

  Deletes the SCCP Entity Set Managed MBean identified by the specified ObjectName. Note that once a SccpEntitySetMBean has been deleted, it should no longer be returned by the getSccpEntitySet() method.

### deleteSccpRoutingControl

    public void deleteSccpRoutingControl(ObjectName routingControl)

  Deletes the Routing Control Managed MBean identified by the specified ObjectName. Note that once a SccpRoutingControlMBean has been deleted, it should no longer be returned by the getSccpRoutingControls() method.

### getSccpSaps

    public ObjectName[] getSccpSaps()

  Returns an array of the ObjectNames of all SCCP SAPs (Local or Remote Subsystems) created by this layer manager

### getSccpSap

    public ObjectName getSccpSap(java.lang.Integer index)

  Returns the ObjectName of one of the SCCP SAPs (Local or Remote Subsystems) created by this layer manager
  Parameters:
    `index` - the index of the Subsystem in the list

### getSccpTimerProfiles

    public ObjectName[] getSccpTimerProfiles()

  Returns an array of the ObjectNames of all SCCP Timer Profiles created by this layer manager

### getSccpTimerProfile

    public ObjectName getSccpTimerProfile(java.lang.Integer index)

  Returns the ObjectName of one of the SCCP Timer Profiles created by this layer manager
  Parameters:
    `index` - the index of the SCCP Timer Profile in the list

### getSccpRoutingControls

    public ObjectName[] getSccpRoutingControls()

  Returns an array of the ObjectName of all SCCP Routing Controls created by this layer manager

### getSccpRoutingControl

    public ObjectName getSccpRoutingControl(java.lang.Integer index)

  Returns the ObjectName of one of the SCCP Routing Controls created by this layer manager
  Parameters:
    `index` - the index of the SCCP Routing Control in the list

### getGlobalTitleEntries

    public ObjectName[] getGlobalTitleEntries()

  Returns an array of the ObjectNames of all Global Tiltle Entries created by this layer manager

### getGlobalTitleEntry

    public ObjectName getGlobalTitleEntry(java.lang.Integer index)

  Returns the ObjectName of one of the Global Tiltle Entries created by this layer manager
  Parameters:
    `index` - the index of the Global Tiltle Entry in the list

### getSccpEntitySets

    public ObjectName[] getSccpEntitySets()

  Returns an array of the ObjectName of all SCCP Entity Sets created by this layer manager

### getSccpEntitySet

    public ObjectName getSccpEntitySet(java.lang.Integer index)

  Returns the ObjectName of one of the SCCP Entity Sets created by this layer manager
  Parameters:
    `index` - the index of the SCCP Entity Set in the list

### getConcernedAreas

    public ObjectName[] getConcernedAreas()

  Returns an array of the ObjectName of all Concerned Area MBeans created by this layer manager

### getConcernedArea

    public ObjectName getConcernedArea(java.lang.Integer index)

  Returns the ObjectName of one of the Concerned Areas created by this layer manager
  Parameters:
    `index` - the index of the Concerned Area in the list

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

11 August 2000

Copyright - 2000 Sun Microsystems